.open-sidemenu {
    margin-left: 15px;
    cursor: pointer;
    display: none;
    .icon-bar {
        width: 30px;
        height: 2px;
        background-color: #fff;
        margin: 6px 0;
    }
}
.block-header{
    padding: 30px 0;
    background-color: white;
    transition: all 0.23s;
    @media screen and (max-width: 992px) {
        display: none;
      }
    .block-header-logo{
        transition: all 0.23s;
        width: 40%;
        text-align: center;
        a{
            img{
                max-width: 100%;
                max-height: 50px;
                transition: all 0.23s;
            }
        }
    }
    .block-header-search{
        width: 25%;
        .form-group{
            margin: 0;
            position: relative;
            width: 100%;
            max-width: 250px;
            .btn-search{
                position: absolute;
                top: 0;
                right: 0;
                bottom: 0;
                outline: none;
                box-shadow: none;
                background-color: transparent;
                border: none;
                i.fa.fa-search{
                    font-size: 17px;
                    color: #ddd;
                }
            }
            .form-control{
                outline: none;
                box-shadow: none;
                background-color: transparent;
                border: none;
                height: 44px;
                font-size: 14px;
                padding: 10px 15px;
                background: #ffffff;
                border: 1px solid #eeeeee;
                box-sizing: border-box;
                border-radius: 5px;
                &::placeholder{
                    color: #adadad;
                    font-family: $content-font;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: normal;
                }
                &:focus{
                    border-color: $content-color;
                }
            }
            
        }
    }
    .block-header-action{
        display: inline-flex;
        align-items: center;
        width: 40%;
        .action-heart{
            a{
                color: #333333;
                font-size: 20px;
                &:hover{
                   color: $content-color;
                }
            }
        }
        .action-cart{
            a{
                position: relative;
                display: block;
                font-size: 24px;
                color: #333333;
                .count{
                    position: absolute;
                    top: -3px;
                    right: -5px;
                    width: 15px;
                    height: 15px;
                    border-radius: 50%;
                    text-align: center;
                    font-family: $nunito-font;
                    font-weight: 600;
                    color: white;
                    display: inline-block;
                    font-size: 10px;
                    line-height: 16px;
                }
                &:hover{
                   color: $main-color;
                }
            }
        }
        .action-user{
            .ttl-user{
                margin-right: 15px;
                padding-right: 15px;
                margin-bottom: 0;
                font-size: 14px;
                color: #adadad;
                border-right:1px solid #eee;
                span{
                    display: block;
                    font-size: 16px;
                    margin-bottom: 3px;
                     color: #333333;
                }
                a{
                    font-size: 14px;
                    color: #333333;
                    transition: all 0.3s;
                    &:hover{
                        transition: all 0.3s;
                        color: $main-color;
                        text-decoration: none;
                    }
                }
            }
            .dropdown{
                .title-wc{
                    display: block;
                    font-size: 12px;
                    color: #333333;
                    font-weight: 500;
                    margin-bottom: -5px;
                }
                .dropdown-toggle{
                    font-family: $Lato-font;
                    color: #333333;
                    font-size: 14px;
                    font-weight: 600;
                    transition: all 0.3s;
                    &:hover{
                        color: #ffbaa2;
                        transition: all 0.3s;
                    }
                    outline: none;
                    box-shadow: none;
                    background-color: transparent;
                    border: none;
                    padding: 0;
                    &:after{
                        margin-left: 3px;
                    }
                }
                .dropdown-menu{
                    left: auto !important;
                    top: 28px !important;
                    right: 0 !important;
                    border: none;
                    background-color: white;
                    -webkit-box-shadow: 0px 0px 33px -3px rgba(161,161,161,1);
                    -moz-box-shadow: 0px 0px 33px -3px rgba(161,161,161,1);
                    box-shadow: 0px 0px 33px -3px rgba(161,161,161,1);
                    &::before{
                        content: '';
                        width: 20px;
                        height: 20px;
                        border-bottom: 10px solid white;
                        border-right: 10px solid transparent;
                        border-top: 0;
                        border-left: 10px solid transparent;
                        position: absolute;
                        top: 0;
                        right: 20px;
                        transform: translateY(-99%);

                    }
                    .dropdown-item{
                        display: inline-flex;
                        align-items: center;
                        width: 100%;
                        color: $text-color;
                        font-family: $Lato-font;
                        font-style: normal;
                        font-weight: 300;
                        font-size: 14px;
                        line-height: normal;
                        padding: 0.25rem 13px;
                        svg{
                            margin-right: 13px;
                            margin-top: 4px;
                        }
                        &:hover{
                            .icon1{
                                path{
                                    fill: $content-color;
                                    transition: all 0.2;
                                }
                            }
                            .icon2{
                                path{
                                    stroke: $content-color;
                                    transition: all 0.2;
                                }
                            }
                            background-color: white;
                            color: $content-color;
                            transition: all 0.2s;
                        }
                    }
                }
            }
        }
        
    }
}

.block-header-menu{
    background: #ffbaa2;
    box-shadow: 0px 0px 4px rgba(gray, 0.25);
    left: 0;
    top: 0px;
    width: 100%;
    transition: all 0.5s;
    @media screen and (max-width: 992px) {
        transition: all 0s;
    }
    &.fixed{
        position: fixed;
        z-index: 100;
        transition: all 0.5s;
        @media screen and (max-width: 992px) {
            top: 0;
            left: 0;
            position: relative;
            transition: all 0s;
        }
        .block-header-logo{
            display: block;
            width: 21.5%;
        }
        
        .block-header-action{
            display: inline-flex;
        }
    }
    .main-menu{
        width: 100%;
        text-align: center;
        transition: all 0.4s;
        ul{
            display: inline-flex;
            margin: 0 auto;
            padding: 0;
            list-style: none;
            li{
                display: inline-flex;
                align-items: center;
                position: relative;
                margin-right: 20px;
                color: #fff;
                a{
                    display: block;
                    text-decoration: none;
                    text-transform: uppercase;
                    padding: 15px 0;
                    font-size: 12px;
                    color: #fefefe;
                    font-weight: bold;
                    margin-right: 2px;
                    transition: all 0.23s;
                    &:hover{
                        color: $main-color;
                        transition: all 0.23s;
                    }
                }
                &:hover{
                    transition: all 0.23s;
                    color: $main-color;
                }
                i{
                    margin-left: 4px;
                }
                .sub-menu{
                    text-align: left;
                    display: none;
                    position: absolute;
                    top: 100%;
                    left: 0;
                    border-top: solid 2px $main-color;
                    min-width: 170px;
                    background-color: white;
                    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
                    z-index: 10;
                    li{
                        position: relative;
                        width: 100%;
                        margin: 0;
                        padding: 0 12px;
                        color: #333333;
                        a{
                            display: block;
                            width: 100%;
                            color: $text-color;
                            font-family: $header-font;
                            text-transform: capitalize;
                            text-decoration: none;
                            padding: 8px 0;
                            font-size: 12px;
                        }
                        &:hover{
                            transition: all 0.23s;
                            color: $main-color;
                            i{
                                transform: rotate(-90deg);
                                transition: all 0.23s;
                            }
                        }
                        ul{
                            display: none;
                            position: absolute;
                            top: 0;
                            left: 100%;
                            border-top: solid 2px $main-color;
                            min-width: 170px;
                            background-color: white;
                            box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
                            li{
                                a{
                                    color: $text-color !important;
                                    transition: all 0.25s;
                                    
                                }
                                &:hover{
                                    a{
                                        color: $main-color !important;
                                        transition: all 0.25s;
                                    }
                                }
                            }
                        }
                        &:hover{
                            ul{
                                display: block;
                            }
                            svg{
                                transform: rotate(90deg);
                                path{
                                    fill: $main-color !important;
                                }
                            }
                            a{
                                color: $main-color;
                                transition: all 0.25s;
                            }
                        }
                    }
                }
                &:hover{
                    .sub-menu{
                        display: block;
                    }
                    svg{
                        transform: rotate(180deg);
                        transition: all 0.25s;
                    }
                }
                &:last-child{
                    margin-right: 0;
                }
            }
            .active{
                a{
                    color: $main-color;
                    text-decoration: underline;
                }
            }
        }
    }
    .block-header-search{
        visibility: hidden;
        min-width: 200px;
        .form-group{
            margin: 0;
            position: relative;
            width: 100%;
            .btn-search{
                position: absolute;
                top: 0;
                left: 0;
                bottom: 0;
                outline: none;
                box-shadow: none;
                background-color: transparent;
                border: none;
                i.fa.fa-search{
                    font-size: 15px;
                    color: #ddd;
                }
            }
            .form-control{
                outline: none;
                box-shadow: none;
                background-color: transparent;
                border: none;
                height: 36px;
                padding: 10px 10px 10px 40px;
                background: #F9FAFB;
                /* border */
                border: 1px solid #E9E9E9;
                box-sizing: border-box;
                border-radius: 24px;
                &::placeholder{
                    color: $content-color-default;
                    font-family: $content-font;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: normal;
                }
                &:focus{
                    border-color: $content-color;
                }
            }
            
        }
    }
    .block-header-logo{
        display: none;
        a{
            img{
                max-width: 100%;
                max-height: 30px;
                transition: all 0.23s;
            }
        }
    }
    .block-header-action{
        display: none;
        align-items: center;
        .action-search{
            position: relative;
            .search-sticky{
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                right: 0;
                z-index: 9999;
            }
            a{
                color: #333;
                display: block;
                text-align: center;
                font-size: 16px;
                transition: all 0.3s;
                width: 30px;
                height: 30px;
                line-height: 30px;
                background: #fff;
                border-radius: 50%;
                &:hover{
                   color: $content-color;
                   transition: all 0.3s;
                }
            }
        }
        .action-heart{
            a{
                color: #fff;
                font-size: 22px;
                transition: all 0.3s;
                &:hover{
                   color: $content-color;
                   transition: all 0.3s;
                }
            }
        }
        .action-cart{
            a{
                position: relative;
                display: block;
                .count{
                    position: absolute;
                    top: -3px;
                    right: -5px;
                    width: 15px;
                    height: 15px;
                    border-radius: 50%;
                    text-align: center;
                    font-family: $nunito-font;
                    font-weight: 600;
                    color: white;
                    display: inline-block;
                    font-size: 10px;
                    line-height: 16px;
                }
                color: #fff;
                font-size: 22px;
                transition: all 0.3s;
                &:hover{
                   color: $content-color;
                   transition: all 0.3s;
                }
            }
        }
        .action-user{
            .ttl-user{
                margin-right: 15px;
                padding-right: 15px;
                margin-bottom: 0;
                font-size: 14px;
                color: #adadad;
                display: flex;
                border-right:1px solid #eee;
              
                a{
                    padding: 0 3px;
                    white-space: nowrap;
                    font-size: 14px;
                    color: #333333;
                    transition: all 0.3s;
                    &:hover{
                        transition: all 0.3s;
                        color: $main-color;
                        text-decoration: none;
                    }
                }
                @media (max-width: 480px) {
                    margin-right: 5px;
                    padding-right: 5px;
                }
            }
            .dropdown{
                .title-wc{
                    display: block;
                    font-size: 12px;
                    color: #333333;
                    font-weight: 500;
                    margin-bottom: -5px;
                }
                .dropdown-toggle{
                    font-family: $Lato-font;
                    color: white;
                    font-size: 14px;
                    font-weight: 600;
                    transition: all 0.3s;
                    // &:hover{
                    //     color: #ffbaa2;
                    //     transition: all 0.3s;
                    // }
                    outline: none;
                    box-shadow: none;
                    background-color: transparent;
                    border: none;
                    padding: 0;
                    &:after{
                        margin-left: 3px;
                    }
                }
                .dropdown-menu{
                    left: auto !important;
                    top: 28px !important;
                    right: 0 !important;
                    border: none;
                    background-color: white;
                    -webkit-box-shadow: 0px 0px 33px -3px rgba(161,161,161,1);
                    -moz-box-shadow: 0px 0px 33px -3px rgba(161,161,161,1);
                    box-shadow: 0px 0px 33px -3px rgba(161,161,161,1);
                    &::before{
                        content: '';
                        width: 20px;
                        height: 20px;
                        border-bottom: 10px solid white;
                        border-right: 10px solid transparent;
                        border-top: 0;
                        border-left: 10px solid transparent;
                        position: absolute;
                        top: 0;
                        right: 20px;
                        transform: translateY(-99%);

                    }
                    .dropdown-item{
                        display: inline-flex;
                        align-items: center;
                        width: 100%;
                        color: $text-color;
                        font-family: $Lato-font;
                        font-style: normal;
                        font-weight: 300;
                        font-size: 14px;
                        line-height: normal;
                        padding: 0.25rem 13px;
                        svg{
                            margin-right: 13px;
                            margin-top: 4px;
                        }
                        &:hover{
                            .icon1{
                                path{
                                    fill: $content-color;
                                    transition: all 0.2;
                                }
                            }
                            .icon2{
                                path{
                                    stroke: $content-color;
                                    transition: all 0.2;
                                }
                            }
                            background-color: white;
                            color: $content-color;
                            transition: all 0.2s;
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 992px){
    .block-header-menu {
        top: 28px;
        .block-header-logo{
            display: block;
        }
        .block-header-action{
            display: inline-flex;
            .mr-4{
                margin-right: 10px !important;
            }
            svg{
                width: 17px;
            }
        }
        .main-menu{
            ul{
                li{
                    margin-right: 10px;
                    a{
                        font-size: 12px;
                    }
                }
            }
        }
    }
}
@media (max-width: 768px){
    .block-pay-page{
        display: block;
        .block-payment-cart,
        .block-payment-info{
            width: 100%;
        }
    }
    .block-user-login{
        .user-login {
            min-height: auto;
            padding: 40px 0;
            display: block;
            .block-right{
                width: auto;
            }
            .block-left{
                width: auto;
            }
            &::before{
                display: none;
            }
        }
    }
    .open-sidemenu{
        display: block;
    }
    .block-header-menu{
        .block-header-logo{
            margin-right: auto;
            padding: 10px 0;
            img{
                max-height: 28px !important;
            }
        }
    }
    #sidenav{
        position: fixed;
        top: 0;
        left: 0;
        bottom: 0;
        width: 200px;
        padding: 60px 0;
        background: url('../images/logo.png') white;
        background-position: center 10px;
        background-repeat: no-repeat;
        z-index: 1030;
        transform: translateX(-100%);
        transition: all 0.25s;
        ul{
            margin: 0;
            padding: 0;
            list-style: none;
            li{
                position: relative;
                a{
                    display: block;
                    padding: 5px 10px;
                    text-decoration: none;
                    font-family: $Lato-font;
                    color: $text-color;
                    font-size: 15px;
                    box-shadow: inset 0px 1px 0px #EEEEEE;
                    transition: all 0.25s;
                    &:hover{
                        color: $main-color;
                        transition: all 0.25s;
                    }
                }
                svg{
                    position: absolute;
                    top: 0;
                    right: 10px;
                    width: 10px;
                    height: 33px;
                    cursor: pointer;
                    z-index: 1040;
                    transition: all 0.25s;
                    path{
                        fill: $text-color;
                    }
                }
                .rotate{
                    transform: rotate(180deg);
                    transition: all 0.25s;
                }
                .sub-menu{
                    width: 100%;
                    font-size: 14px;
                    padding-left: 10px;
                    display: none;
                    overflow: hidden;
                    transition: max-height 0.2s ease-out;
                    li{
                        a{
                            box-shadow: none;
                            font-size: 13px;
                        }
                    }
                    ul{
                        display: none;
                        overflow: hidden;
                        transition: max-height 0.2s ease-out;
                        padding-left: 10px;
                        li{
                            a{
                                font-size: 12px;
                            }
                        }
                    }
                }
                &:first-child{
                    a{
                        box-shadow: none;
                    }
                }
            }
        }
    }
    .menu-mobile{
        transform: translateX(0) !important;
        transition: all 0.25s;
        i.fa.fa-angle-down.accodition {
            position: absolute;
            right: 0;
            width: 30px;
            height: 32px;
            text-align: center;
            line-height: 32px;
            top: 0;
        }
    }
}

.search-mobile {
    .show-search-mb {
        width: 30px;
        height: 27px;
        display: block;
    }
    .form-group {
        position: absolute;
        top: 37px;
        left: -182px;
        opacity: 0;
        visibility: hidden;
        width: 220px;
        font-size: 14px;
        z-index: 999;
        margin-bottom: 0;
        &::after {
            content: '';
            position: absolute;
            width: 7px;
            height: 5px;
            -webkit-transform: rotate(-64deg) skew(-37deg);
            transform: rotate(-64deg) skew(-32deg);
            border-right: 1px solid #eeeeee;
            border-top: 1px solid #eeeeee;
            background: #fff;
            position: absolute;
            top: -2px;
            right: 17px;
            -webkit-transition: all 0s;
            transition: all 0s;
        }
        &.on {
            opacity: 1;
            visibility: visible;
        }
    }
    .form-control.content-font {
        border-radius: 24px;
    }
    .btn-search {
        position: absolute;
        top: -2px;
        right: 0;
    }
}
